# OL3-ext: Transform interaction

ol.interaction.Transform is an interaction to transform features (scale, translate, rotate). Handles are drawn on the map to manipulate the features

- Properties can be set to select transforming operations.
- Handles can be styled with ol.style.
- ol.event are thrown to control the transformation (to set an angle propertie on point features to use with ol.style for example)

## Options:

- styles transform handles (using fontawesome)
- enable scale
- enable stretch
- enable rotate
- enable translate
- translate when click on feature

- Use Shift key to preserve proportions when scaling.
  Use Ctrl key to modify the center when scaling.